%if 0%{?fedora} < 20
%bcond_without oss
%else
%bcond_with oss
%endif

Name:           modplugtools
Version:        0.5.3
Release:        8%{?dist}
Summary:        Command line mod music players

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://download.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
# Make modplug123 work with libmodplug < 0.8.8 (not for upstream)
Patch0:         %{name}-0.5.0-libmodplug087.patch
# Make modplugplay more likely to work out of the box (not for upstream)
Patch1:         %{name}-0.5.0-modplugplay-aoss.patch
# http://sf.net/tracker/?func=detail&aid=3019146&group_id=1275&atid=301275
Patch2:         0001-Remove-unused-s-from-modplugplay-output-status-forma.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libmodplug-devel
BuildRequires:  libao-devel >= 0.8.0
%if %{with oss}
BuildRequires:  alsa-oss-devel
Obsoletes:      modplugplay < 2.06
Provides:       modplugplay = 1:%{version}-%{release}
%endif

%description
%{summary}.


%prep
%setup -q
if ! pkg-config --atleast-version 0.8.8 libmodplug ; then
%patch0 -p1
fi
%patch1 -p1
%patch2 -p2


%build
%configure --disable-silent-rules
make %{?_smp_mflags} \
%if ! %{with oss}
    -C mp123
%endif


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
%if ! %{with oss}
    -C mp123
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/modplug123
%if %{with oss}
%{_bindir}/modplugplay
%endif


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 21 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.5.3-6
- Drop modplugplay for F-20+ (no more alsa-oss).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr  2 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.5.3-1
- Update to 0.5.3; rest of previous format string patch applied upstream.
- Patch to fix format string related junk in modplugplay output.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep  2 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.2-2
- Bump for libao

* Tue Aug  3 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.5.2-1
- Update to 0.5.2; --help patch and format string (mostly) patches upstreamed.

* Mon Jun 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.5.0-2
- Patch to fix --help related issues (#600835).
- Patch to fix format string issues (#600835).
- License: GPLv3 (per the AUTHORS file) (#600835).

* Sat May  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.5.0-1
- First build.
